kill INSTALL, don't do that much on DEINSTALL

This commit is contained in:
espie 2004-09-24 08:43:19 +00:00
parent cd13f774ed
commit bc45001595
7 changed files with 23 additions and 145 deletions

View File

@ -1,4 +1,4 @@
# $OpenBSD: Makefile,v 1.24 2004/08/02 16:08:24 naddy Exp $
# $OpenBSD: Makefile,v 1.25 2004/09/24 08:43:19 espie Exp $
COMMENT= "network-capable tape backup (client and tape server)"
COMMENT-client= "network-capable tape backup (client only)"
@ -89,5 +89,6 @@ post-install:
> ${EXAMPLE_DIR}/$$f; \
done
@${INSTALL_DATA} ${FILESDIR}/crontab.sample ${EXAMPLE_DIR}
@${INSTALL_DATA} /dev/null ${EXAMPLE_DIR}/amandates
.include <bsd.port.mk>

View File

@ -1,5 +1,5 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.3 2004/04/14 08:07:14 xsa Exp $
# $OpenBSD: DEINSTALL,v 1.4 2004/09/24 08:43:19 espie Exp $
#
# de-installation of amanda
@ -12,19 +12,6 @@ if [ $# -ne 2 -o "$2" != "DEINSTALL" ]; then
exit 1
fi
if [ -d /var/amanda ]; then
rm -rf /var/amanda
fi
# Don't actually do anything, but let the user know what can be
# done to fully de-install the package
#
if [ ${PKG_DELETE_EXTRA} != Yes -a -d $CONF_DIR ]; then
echo ""
echo "** The directory $CONF_DIR and any files within the directory"
echo "** have not been removed. You MAY want to remove these files to"
echo "** completely remove the package."
fi
if grep -q -E ^amanda\|^amandaidx\|^amidxtape /etc/inetd.conf ; then
echo ""
echo "** Amanda should be removed from /etc/inetd.conf"

View File

@ -1,5 +1,5 @@
#!/bin/sh
# $OpenBSD: DEINSTALL-client,v 1.1 2001/05/12 16:41:09 naddy Exp $
# $OpenBSD: DEINSTALL-client,v 1.2 2004/09/24 08:43:19 espie Exp $
#
# de-installation of amanda
@ -11,13 +11,6 @@ if [ $# -ne 2 -o "$2" != "DEINSTALL" ]; then
exit 1
fi
if [ -d /var/amanda ]; then
rm -rf /var/amanda
fi
# Don't actually do anything, but let the user know what can be
# done to fully de-install the package
#
if grep -q -E ^amanda\|^amandaidx\|^amidxtape /etc/inetd.conf ; then
echo ""
echo "** Amanda should be removed from /etc/inetd.conf"

View File

@ -1,78 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.5 2003/04/25 19:33:06 sturm Exp $
#
# Pre/post-installation setup of amanda
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
EXAMPLE_DIR=$PREFIX/share/examples/amanda
CONF_DIR=${SYSCONFDIR}/amanda
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# install the configuration files unless an existing configuration
# is found in which case warn the user that it may need to be
# updated.
#
do_configuration()
{
if [ ! -d ${EXAMPLE_DIR} ]; then
echo "-- Can't find configuration examples: ${EXAMPLE_DIR}" >&2
exit 1
fi
echo ""
if [ -d ${CONF_DIR} ]; then
echo "** The directory ${CONF_DIR} exists. Your existing configuration"
echo "** files have not been changed. You MAY need to update your"
echo "** configuration. Please look at the directory"
echo "** ${EXAMPLE_DIR} and add any desired (but missing) entries into"
echo "** your current ${CONF_DIR}"
else
mkdir -p ${CONF_DIR}/csd
cp ${EXAMPLE_DIR}/amanda.conf ${CONF_DIR}/csd
cp ${EXAMPLE_DIR}/disklist ${CONF_DIR}/csd
echo "** The directory ${CONF_DIR} has been created with a sample"
echo "** configuration. You probably need to modify the files for"
echo "** your site."
fi
echo ""
echo "** See amanda(8) and the sample configuration files and INSTALL"
echo "** instructions in ${EXAMPLE_DIR} for more information"
}
# create the needed /var directories
#
do_var()
{
mkdir -p /var/amanda/gnutar-lists
chown -R operator:operator /var/amanda
}
# create the needed /etc/amandates file if it does not exist
# note that it is hardwired to be in /etc, not ${SYSCONFDIR}
#
do_amandates()
{
touch /etc/amandates
chown operator:operator /etc/amandates
}
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
do_configuration
do_var
do_amandates
echo ""
;;
esac
exit 0

View File

@ -1,42 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL-client,v 1.2 2003/04/14 15:02:09 wilfried Exp $
#
# Pre/post-installation setup of amanda
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# create the needed /var directories
#
do_var()
{
mkdir -p /var/amanda/gnutar-lists
chown -R operator:operator /var/amanda
}
# create the needed /etc/amandates file if it does not exist
# note that it is hardwired to be in /etc, not ${SYSCONFDIR}
#
do_amandates()
{
touch /etc/amandates
chown operator:operator /etc/amandates
}
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
do_var
do_amandates
echo ""
;;
esac
exit 0

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.14 2004/09/18 12:55:53 espie Exp $
@comment $OpenBSD: PLIST,v 1.15 2004/09/24 08:43:19 espie Exp $
@conflict amanda-client-*
libexec/amanda/
libexec/amanda/amandad
@ -96,6 +96,8 @@ share/doc/amanda/WISHLIST
share/doc/amanda/YEAR2000
share/doc/amanda/ZFTAPE
share/examples/amanda/
@sample ${SYSCONFDIR}/amanda/
@sample ${SYSCONFDIR}/amanda/csd/
share/examples/amanda/3hole.ps
share/examples/amanda/8.5x11.ps
share/examples/amanda/DIN-A4.ps
@ -103,6 +105,7 @@ share/examples/amanda/DLT.ps
share/examples/amanda/EXB-8500.ps
share/examples/amanda/HP-DAT.ps
share/examples/amanda/amanda.conf
@sample ${SYSCONFDIR}/amanda/csd/amanda.conf
share/examples/amanda/amanda.conf.chg-scsi
share/examples/amanda/chg-multi.conf
share/examples/amanda/chg-scsi-hpux.conf
@ -111,4 +114,11 @@ share/examples/amanda/chg-scsi-solaris.conf
share/examples/amanda/chg-scsi.conf
share/examples/amanda/crontab.sample
share/examples/amanda/disklist
@sample ${SYSCONFDIR}/amanda/csd/disklist
share/examples/amanda/amandates
@owner operator
@group operator
@sample /etc/amandates
@sample /var/amanda/
@sample /var/amanda/gnutar-lists/
@extraunexec rm -rf ${SYSCONFDIR}/amanda

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST-client,v 1.4 2004/09/18 12:55:53 espie Exp $
@comment $OpenBSD: PLIST-client,v 1.5 2004/09/24 08:43:19 espie Exp $
@conflict amanda-*
libexec/amanda/
libexec/amanda/amandad
@ -22,3 +22,10 @@ share/doc/amanda/COPYRIGHT
share/doc/amanda/COPYRIGHT-REGEX
share/doc/amanda/NEWS
share/doc/amanda/README
share/examples/amanda/
share/examples/amanda/amandates
@owner operator
@group operator
@sample /etc/amandates
@sample /var/amanda/
@sample /var/amanda/gnutar-lists/